Go to the first, previous, next, last section, table of contents.

### `ntoint32`, `int32ton`

`ntoint32(n)`
`int32ton(int32)`
  :: Type-conversion between a non-negative integer and an unsigned 32bit integer.

return
  unsigned 32bit integer or non-negative integer
n
  non-negative interger less than 2^32
int32
  unsigned 32bit integer

- These functions do conversions between non-negative integers (the type id 1) and unsigned 32bit integers (the type id 10).
- An unsigned 32bit integer is a fundamental construct of OpenXM and one often has to send an integer to a server as an unsigned 32bit integer. These functions are used in such a case.

`References`
  section Distributed computation, section Types of numbers.

Go to the first, previous, next, last section, table of contents.